Bug 475620 - [LTC 5.4 FEAT] Update spufs for Cell in the kernel of RHEL5.4 to the upstream version [201774]
[LTC 5.4 FEAT] Update spufs for Cell in the kernel of RHEL5.4 to the upstream...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
ppc64 All
high Severity high
: alpha
: 5.4
Assigned To: Ameet Paranjape
Red Hat Kernel QE team
: FutureFeature, OtherQA
Depends On:
Blocks: 445204 483701 483784 485920
  Show dependency treegraph
 
Reported: 2008-12-09 15:11 EST by IBM Bug Proxy
Modified: 2009-09-02 04:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:15:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
selected spufs updates (17.34 KB, text/plain)
2009-01-23 11:40 EST, IBM Bug Proxy
no flags Details
Updated patch (18.57 KB, text/plain)
2009-02-19 05:41 EST, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 50366 None None None Never

  None (edit)
Description IBM Bug Proxy 2008-12-09 15:11:07 EST
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[201774]
a. Name of Feature:	Update spufs for Cell in the kernel of RHEL5.4 to the upstream version
b. Feature Description
The spufs for Cell was updated upstream after the code cutoff for RHEL5.3. Now we would like to
update the spufs in RHEL5.4 to the most current level to incorporate bug fixes, etc. from upstream.

2. Feature Details:
Sponsor:	QDC
Architectures:
ppc64

Arch Specificity: Purely Arch Specific Code
Affects Core Kernel: Yes
Delivery Mechanism: Backport
Category:	Cell
Request Type:	Kernel - Enhancement from Upstream
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	kernel 2.6.28

3. Business Case
Applying maintenance fixes to the Cell/B.E. kernel specifically for the spufs improves the
reliability of the Cell support in RHEL5.4

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hanns-Joachim Uhl, hannsj_uhl@de.ibm.com, 49-7031-16-4198

Technical contact(s):

Hanns-Joachim Uhl, hannsj_uhl@de.ibm.com
Comment 1 John Jarvis 2008-12-23 16:24:38 EST
IBM is signed up to test and provide feedback.
Comment 2 IBM Bug Proxy 2009-01-23 11:40:56 EST
Created attachment 329853 [details]
selected spufs updates



This patch updates spufs by some selected patches.
It applies cleanly on top of 128.el5 and builds just fine.
The kernel boots and passes the spufs-testsuite (except one testcase that also fails on upstream kernels).
Comment 4 RHEL Product and Program Management 2009-02-16 10:16:43 EST
Updating PM score.
Comment 5 IBM Bug Proxy 2009-02-19 05:41:20 EST
Created attachment 332526 [details]
Updated patch



This is an update to the original patch and includes the recommendations from Dave. The upstream patch which addresses those comments is 926dc3d76ec7561c72d466d2a0e26cc1a69fc372
Comment 6 Don Zickus 2009-03-09 14:54:45 EDT
in kernel-2.6.18-134.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 8 IBM Bug Proxy 2009-03-10 05:31:14 EDT
I verified on 2.6.18-134.el5  that 4 more tests from the spufs-testsuite pass now (compared to 2.6.18-133.el5).
Comment 9 Chris Ward 2009-06-14 19:18:41 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 10 Chris Ward 2009-07-03 14:17:01 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 11 IBM Bug Proxy 2009-07-09 04:42:03 EDT
------- Comment From gerhard.stenzel@de.ibm.com 2009-07-09 04:37 EDT-------
Verified in RHEL 5.4 Beta .. closing Bugzilla
Comment 13 errata-xmlrpc 2009-09-02 04:15:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.